Bug 456242 - Review Request: gavl - A library for handling uncompressed audio and video data
Review Request: gavl - A library for handling uncompressed audio and video data
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On: 454888
Blocks: RussianFedoraRemix 456256
  Show dependency treegraph
 
Reported: 2008-07-22 09:39 EDT by Nicolas Chauvet (kwizart)
Modified: 2009-05-02 00:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-10 06:33:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2008-07-22 09:39:20 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/gavl.spechttp://kwizart.fedorapeople.org/SPECS/gavl.spec
SRPM URL: 
http://kwizart.fedorapeople.org/SRPMS/gavl-1.0.0-2.fc8.kwizart.src.rpm
Description: A library for handling uncompressed audio and video data
Comment 1 Nicolas Chauvet (kwizart) 2008-07-22 09:41:56 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/gavl.spec
Comment 2 Nicolas Chauvet (kwizart) 2008-07-29 10:02:08 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/gavl.spec
SRPM URL: 
http://kwizart.fedorapeople.org/SRPMS/gavl-1.0.1-1.fc8.kwizart.src.rpm
Description: A library for handling uncompressed audio and video data
Comment 3 Jon Ciesla 2008-10-10 12:56:16 EDT
rpmlint: not even crickets.

You have ldconfig in %post and %postun, do you not need them for -devel as well?

COPYING is GPLv3.  Code all says GPLv2+.  Web site doesn't really specify. ?? Needs clarification.

Using a patched bundled library, which is documented.  OK.

Looks great otherwise, full review very nearly done.  Just need libgdither to be in rawhide so I can mock-test the BuildRequires.
Comment 4 Zarko (grof) 2009-03-19 03:55:36 EDT
Hello,

What happened with this packet?

I want prepare frei0r-plugins for Fedora but I need this packet as dependency.

I prepare this packet for Fedora 10 so please, if you want to see my spec and src:

http://dl.getdropbox.com/u/728801/kdenlive/sources/gavl.spec

http://dl.getdropbox.com/u/728801/kdenlive/sources/gavl-1.1.0-1.fc10.src.rpm


Please see them.

kind regards, Zarko
Comment 5 Nicolas Chauvet (kwizart) 2009-03-23 22:08:41 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/gavl.spec
SRPM URL: 
http://kwizart.fedorapeople.org/SRPMS/gavl-1.1.0-1.fc10.src.rpm
Description: A library for handling uncompressed audio and video data

Changelog:
- Update to 1.1.0
- Disable buildtime CPU detection.
Comment 6 Jon Ciesla 2009-03-24 09:00:27 EDT
rpmlint still silent.

Code says GPLv2+, COPYING is GPLv3+, tag is GPLv3+.  OK.

Still awaiting libgdither in rawhide for mock build.

What about ldconfig in %post and %postun for -devel?
Comment 7 Jon Ciesla 2009-03-31 09:30:04 EDT
Mock build good.  Does the explanation from 456256 apply here WRT ldconfig?
Comment 8 Jon Ciesla 2009-04-07 10:59:04 EDT
Ping?
Comment 9 Nicolas Chauvet (kwizart) 2009-04-07 11:15:46 EDT
(In reply to comment #7)
> Mock build good.  Does the explanation from 456256 apply here WRT ldconfig?  

Sorry, I tought to have already answeared. But yes, no needs for ldconfig call for -devel.
Comment 10 Jon Ciesla 2009-04-07 11:25:07 EDT
Ok, then.

APPROVED.
Comment 11 Nicolas Chauvet (kwizart) 2009-04-07 11:32:21 EDT
New Package CVS Request
=======================
Package Name: gavl
Short Description: A library for handling uncompressed audio and video data
Owners: kwizart
Branches: F-10 F-9
Cvsextras Commits: yes
Comment 12 Kevin Fenzi 2009-04-07 22:31:54 EDT
cvs done.
Comment 13 Jon Ciesla 2009-04-09 11:15:20 EDT
Imported and built for rawhide and F-10.  Going to build for F-9?
Comment 14 Nicolas Chauvet (kwizart) 2009-04-09 11:42:21 EDT
build failed on F-10 because libgdither wasn't within the buildroot.
I hope it will be fixed on next push. I will close the bug once F-9/F-10 gavl got built.
Comment 15 Jon Ciesla 2009-04-09 11:47:04 EDT
Gotcha.  The same thing with gavl is blocking my rawhide mock build for frei0r-plugins. :)
Comment 16 Zarko (grof) 2009-04-09 16:29:19 EDT
(In reply to comment #14)
> build failed on F-10 because libgdither wasn't within the buildroot.
> I hope it will be fixed on next push. I will close the bug once F-9/F-10 gavl
> got built.  

I do not understand well what was happening here...

I succesfully build libgdither, gavl and frei0r-plugins with mock and put all of these packages on my private repo...??!!
Comment 17 Nicolas Chauvet (kwizart) 2009-04-09 19:26:57 EDT
newly built packages don't get automatically available to others build in stable Fedora branches. They need to be either requested to release engineer, either pushed to stable release.
As libgdither is still in updates-testing... gavl cannot build on F-10/F-9. But it was released for rawhide. So other review can continue.
Comment 18 Zarko (grof) 2009-04-10 01:43:38 EDT
(In reply to comment #17)
> newly built packages don't get automatically available to others build in
> stable Fedora branches. They need to be either requested to release engineer,
> either pushed to stable release.


Ah, now it is clear.... :)

Thx,
Zarko
Comment 19 Nicolas Chauvet (kwizart) 2009-04-10 06:33:31 EDT
packages built and requested to updates-testing for Fedora stable releases.
Thx for the reviews

Note You need to log in before you can comment on or make changes to this bug.